Friday, 3 September 2010

How to fix fglrx error after upgrading to 2.6.35 kernel in Ubuntu lucid

This tutorial will explain How to fix fglrx error after upgrading to 2.6.35 kernel in Ubuntu lucid

1. Remove the 2.6.35 kernel, as fglrx crashed during the installation of the kernel
2. Restart and boot to the normal 2.6.32 kernel
3. Remove fglrx, fglrx-amdcce (some name like that) and one other package, automatically removed with fglrx
4. Tried running /usr/share/ati/fglrx-uninstall.sh - it would error out, so I had to remove /usr/share/ati
5. Reboot in safe graphics mode
6. Remove /etc/X11/Xorg.conf*
7. Reinstall fglrx, which ran dkms to update the kernel
8. Run sudo aticonfig --initial
9. Reboot
10. Enable composition - System -> Preferences -> Appearance -> Visual Effects -> Normal


No comments:

Post a Comment